D-Bus: DBusServer Struct Reference

D-Bus 1.10.18

Data Fields
DBusServer Struct Reference
D-Bus secret internal implementation details » DBusServer implementation details

Internals of DBusServer object. More...

`#include <dbus-server-protected.h>`

## Data Fields
DBusAtomic | refcount
| Reference count. More...
const DBusServerVTable * | vtable
| Virtual methods for this instance. More...
DBusRMutex * | mutex
| Lock on the server object.
DBusGUID | guid
| Globally unique ID of server.
DBusString | guid_hex
| Hex-encoded version of GUID.
DBusWatchList * | watches
| Our watches.
DBusTimeoutList * | timeouts
| Our timeouts.
char * | address
| Address this server is listening on. More...
dbus_bool_t | published_address
| flag which indicates that server has published its bus address. More...
int | max_connections
| Max number of connections allowed at once. More...
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
DBusNewConnectionFunction | new_connection_function
| Callback to invoke when a new connection is created. More...
void * | new_connection_data
| Data for new connection callback.
DBusFreeFunction | new_connection_free_data_function
| Callback to invoke to free new_connection_data when server is finalized or data is replaced.
char ** | auth_mechanisms
| Array of allowed authentication mechanisms.
unsigned int | disconnected: 1
| TRUE if we are disconnected. More...
unsigned int | have_server_lock: 1
| Does someone have the server mutex locked.

## Detailed Description

Internals of DBusServer object.

Definition at line 56 of file dbus-server-protected.h.

## Field Documentation

## ◆ address

char* DBusServer::address

Address this server is listening on.

Definition at line 69 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), _dbus_server_init_base(), and dbus_server_get_address().

## ◆ disconnected

unsigned int DBusServer::disconnected

TRUE if we are disconnected.

Definition at line 87 of file dbus-server-protected.h.

Referenced by _dbus_server_finalize_base(), dbus_server_disconnect(), and dbus_server_get_is_connected().

## ◆ max_connections

int DBusServer::max_connections

Max number of connections allowed at once.

Definition at line 72 of file dbus-server-protected.h.

## ◆ new_connection_function

DBusNewConnectionFunction DBusServer::new_connection_function

Callback to invoke when a new connection is created.

Definition at line 76 of file dbus-server-protected.h.

Referenced by dbus_server_set_new_connection_function().

## ◆ published_address

dbus_bool_t DBusServer::published_address

flag which indicates that server has published its bus address.

Definition at line 70 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base().

## ◆ refcount

DBusAtomic DBusServer::refcount

Reference count.

Definition at line 58 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base(), _dbus_server_ref_unlocked(), _dbus_server_unref_unlocked(), dbus_server_ref(), and dbus_server_unref().

## ◆ vtable

const DBusServerVTable* DBusServer::vtable

Virtual methods for this instance.

Definition at line 59 of file dbus-server-protected.h.

Referenced by _dbus_server_init_base(), and dbus_server_disconnect().

The documentation for this struct was generated from the following file:

- dbus-server-protected.h